Author Topic: Simple question (indefinite points)  (Read 11661 times)

0 Members and 1 Guest are viewing this topic.

Notsober

  • Guest
Re: Simple question (indefinite points)
« Reply #30 on: October 18, 2007, 05:48:35 PM »
What do you mean your acad wont start?

BTW, did you edit this file in MS Word?

no, I always use notepad....

LE

  • Guest
Re: Simple question (indefinite points)
« Reply #31 on: October 18, 2007, 05:49:38 PM »
great. now my acad won't open!

BTW- I put the lsp in the startup, so that tells me I have to change something. Just before, I did this:

Replaced
(setvar user_layer (getvar "clayer"))

to:

(setq user_layer (getvar "clayer"))


and...

(setvar user_os (getvar "osmode"))

to

(setq user_os (getvar "osmode"))

So now how do I get my ACAD back up and running?

No idea, what you end up doing ?

Remove the lisp from there...  (what it is for you the startup?)

So, you double-click on the ACAD.EXE and does not open it?


JohnK

  • Administrator
  • Seagull
  • Posts: 10603
Re: Simple question (indefinite points)
« Reply #32 on: October 18, 2007, 05:53:21 PM »
Well the items LE suggested would have NO affect on anything like that, but just to be safe, delete the procedure anyways.

After that, start up acad and change the profile to something else and open a drawing.
TheSwamp.org (serving the CAD community since 2003)
Member location map - Add yourself

Donate to TheSwamp.org

Notsober

  • Guest
Re: Simple question (indefinite points)
« Reply #33 on: October 18, 2007, 05:57:20 PM »
Nothing in the routine should have ruined your Acad.  This is just a simple routine to speedup some button pushing.

Standard IT response.... Did you try rebooting?? ... Crazy thing is.. it works most of the time.

hahaha... worked. weird.

In my office: standard IT response - where's the IT guy when you need him?

in other words, we don't have an IT. Just an office manager that knows a little bit about networking, that's all.

thanks for the suggestion, I've never really encountered a situation where all I had to do was reboot.

LE

  • Guest
Re: Simple question (indefinite points)
« Reply #34 on: October 18, 2007, 05:58:10 PM »
and.... can you post/or/upload your code (the file) here.... maybe is something in there.

Notsober

  • Guest
Re: Simple question (indefinite points)
« Reply #35 on: October 18, 2007, 06:00:47 PM »
okay so back to bizness....

I want the routine to:

set layer to CLOUD

turn off ortho

and turn off osnap

finish the routine, then set ortho and osnap back to what they were, whether on or off.

Notsober

  • Guest
Re: Simple question (indefinite points)
« Reply #36 on: October 18, 2007, 06:02:12 PM »
here's what I got so far:


Notsober

  • Guest
Re: Simple question (indefinite points)
« Reply #37 on: October 18, 2007, 06:03:53 PM »
and.... can you post/or/upload your code (the file) here.... maybe is something in there.

I think it was a gliche or something... our server has been acting up today (it's stormy weather here today).

LE

  • Guest
Re: Simple question (indefinite points)
« Reply #38 on: October 18, 2007, 06:11:18 PM »
and.... can you post/or/upload your code (the file) here.... maybe is something in there.

I think it was a gliche or something... our server has been acting up today (it's stormy weather here today).

Must, be something like that... that routine is a very simple one...

Notsober

  • Guest
Re: Simple question (indefinite points)
« Reply #39 on: October 18, 2007, 06:22:43 PM »
so what's the code for turning ortho off?

Code: [Select]
(setq user_ortho (getvar "orthomode"))
  (setvar "orthomode" 0)
???

Or am I not understanding something right?

Notsober

  • Guest
Re: Simple question (indefinite points)
« Reply #40 on: October 18, 2007, 06:26:38 PM »
will this work?

Code: [Select]
;;Revcloud from spline
(defun C:RS (/ user_layer user_os user_ortho)
  (setq user_layer (getvar "clayer"))
    (setvar "clayer" "CLOUD")
  (setq user_os (getvar "osmode"))
    (setvar "osmode" 0)
  (setq user_ortho (getvar "orthomode"))
    (setvar "orthomode" 0)
  (command "_.spline")
  (while (> (getvar "CmdActive") 0)
    (command pause)
  )
  (command "_.revcloud" "o" "l" "n")
  (setvar "clayer" user_layer)
  (setvar "osmode" user_os)
  (setvar "orthomode" user_ortho)
  (princ)
)

Notsober

  • Guest
Re: Simple question (indefinite points)
« Reply #41 on: October 18, 2007, 06:31:47 PM »
will this work?

Code: [Select]
;;Revcloud from spline
(defun C:RS (/ user_layer user_os user_ortho)
  (setq user_layer (getvar "clayer"))
    (setvar "clayer" "CLOUD")
  (setq user_os (getvar "osmode"))
    (setvar "osmode" 0)
  (setq user_ortho (getvar "orthomode"))
    (setvar "orthomode" 0)
  (command "_.spline")
  (while (> (getvar "CmdActive") 0)
    (command pause)
  )
  (command "_.revcloud" "o" "l" "n")
  (setvar "clayer" user_layer)
  (setvar "osmode" user_os)
  (setvar "orthomode" user_ortho)
  (princ)
)

OMG! It did work!!

I CAN FISH! YAY!!

T.Willey

  • Needs a day job
  • Posts: 5251
Re: Simple question (indefinite points)
« Reply #42 on: October 18, 2007, 06:35:51 PM »
You even added your new variable to the local variable list, nice!  Soon you will be giving others advice on how to fix their routines.
Tim

I don't want to ' end-up ', I want to ' become '. - Me

Please think about donating if this post helped you.

Notsober

  • Guest
Re: Simple question (indefinite points)
« Reply #43 on: October 18, 2007, 06:39:32 PM »
well, I did learn somethin afterall...

lol.

awesome! Thanks so much for the help y'all! Especially Kate M.

I love this forum!

Notsober

  • Guest
Re: Simple question (indefinite points)
« Reply #44 on: October 18, 2007, 06:58:50 PM »
You even added your new variable to the local variable list, nice!  Soon you will be giving others advice on how to fix their routines.

That was actually a guess. Honestly.

I do know a little about programming. Only robotics programming though, so I do understand how to look at the code (or language) and eventually figure it out. Just I don't know anything about VLisp, VBA, or AutoLISP.

But today was a start....